#
# spec file for package ghc-pipes-parse
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name pipes-parse
Name:           ghc-%{pkg_name}
Version:        3.0.8
Release:        6.1
Summary:        Parsing infrastructure for the pipes ecosystem
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
'pipes-parse' builds upon the 'pipes' library to provide shared parsing idioms
and utilities:

* /Leftovers/: Save unused input for later consumption

* /Leftover propagation/: Leftovers are propagated backwards perfectly

* /Connect and Resume/: Use 'StateT' to save unused input for later

* /Termination Safety/: Detect and recover from end of input

'Pipes.Parse' contains the full documentation for this library.

Read 'Pipes.Parse.Tutorial' for an extensive tutorial.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 3.0.8 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 3.0.7 revision 0 with cabal2obs.
* Mon May 30 2016 mimi.vx@gmail.com
- update to 3.0.7
* Sun May  8 2016 mimi.vx@gmail.com
- update to 3.0.6
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 3.0.5
* Sun Feb 14 2016 mimi.vx@gmail.com
- update to 3.0.4
* Mon Dec 14 2015 peter.trommler@ohm-hochschule.de
- initial package
